<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">

    <ui:define name="titulo">Pesquisa Catequista</ui:define>
    
    <ui:define name="corpo">
    	<h1>Pesquisa Catequista</h1>
    	
    	<h:form id="frmPesquisa">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    		
    		<p:toolbar style="margin-top: 20px">
    			<p:toolbarGroup>
    				<p:button value="Novo" id="botaoNovo" outcome="/catequista/CadastroCatequista" />
    			</p:toolbarGroup>
    		</p:toolbar>
    	
	    	<p:dataTable id="tabelaEtapa" value="#{pesquisaCatequisaBean.entidades}" var="catequista"
		    		style="margin-top: 20px" emptyMessage="Nenhum catequista encontrado." rows="20"
		    		paginator="true" paginatorAlwaysVisible="false" paginatorPosition="bottom">
	    		
	    		<p:column headerText="CPF">
	    			<h:outputText value="#{catequista.cpf}" />
	    		</p:column>

	    		<p:column headerText="Nome">
	    			<h:outputText value="#{catequista.nome}" />
	    		</p:column>
	    		
				<p:column headerText="Celular">
					<h:outputText value="#{catequista.celular}" />
				</p:column>
				
				<p:column headerText="Estado Civil">
					<h:outputText value="#{catequista.estadoCivil}" converter="estadoCivilConverter" />
				</p:column>
				<p:column headerText="Status">
					<h:outputText value="#{catequista.status}" converter="statusConverter" />
				</p:column>
				
				<p:column headerText="Email">
					<h:outputText value="#{catequista.email}" />
				</p:column>
				
	    		<p:column style="width: 100px; text-align: center">
	    			<p:commandButton icon="ui-icon-pencil" title="Editar" oncomplete="PF('telaEdicao').show();"
	    					update=":frmPesquisa:telaEdicao" process="@this">
	    				<f:setPropertyActionListener value="#{catequista}" target="#{pesquisaCatequisaBean.entidadeSelecionada}" />
	    			</p:commandButton>
	    			<p:commandButton icon="ui-icon-trash" title="Excluir" oncomplete="PF('confirmacaoExclusao').show();"
							process="@this" update=":frmPesquisa:confirmacaoExclusaoDialog">
						<f:setPropertyActionListener target="#{pesquisaCatequisaBean.entidadeSelecionada}" value="#{catequista}" />
					</p:commandButton>
	    		</p:column>
		    </p:dataTable>
		    
	    	<p:confirmDialog id="confirmacaoExclusaoDialog" widgetVar="confirmacaoExclusao"
 	        		message="Tem certeza que deseja excluir o catequista '#{pesquisaCatequisaBean.entidadeSelecionada.nome}'?"  
	                header="Exclusão de catequista" severity="alert" >
	        	<p:commandButton value="Sim" update=":frmPesquisa"
	        			onclick="PF('confirmacaoExclusao').hide();"  action="#{pesquisaCatequisaBean.excluir()}" />
	        	<p:button value="Não" onclick="PF('confirmacaoExclusao').hide(); return false;" />
	    	</p:confirmDialog>
	    	
	    	<!-- Pop-Up de edição de registro -->
	    	<p:dialog id="telaEdicao" widgetVar="telaEdicao" header="Editar Catequista" closable="true" showEffect="fade" hideEffect="fade"
	    		width="800" height="500" >
	    		
	    		<p:toolbar style="margin-top: 5px; width: 100%;">
		    		<p:toolbarGroup>
		    			<p:commandButton value="Salvar" id="botaoSalvar" action="#{pesquisaCatequisaBean.salvar()}" onclick="PF('telaEdicao').hide();"
		    				update="frmPesquisa" />
		    		</p:toolbarGroup>
		    		<p:toolbarGroup align="right">
						<p:button value="Cancelar" onclick="PF('telaEdicao').hide(); return false;" />
					</p:toolbarGroup>
		    	</p:toolbar>
		    	
		    	<h:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px" columnClasses="rotulo, campo"
		    		rendered="#{pesquisaCatequisaBean.entidadeSelecionada != null}">
		    		
		    		<p:outputLabel value="CPF" for="cpf" />
					<p:inputMask id="cpf" mask="999.999.999-99" value="#{pesquisaCatequisaBean.entidadeSelecionada.cpf}" disabled="true" />
					
					<p:outputLabel value="Nome" for="nome" />
					<p:inputText id="nome" value="#{pesquisaCatequisaBean.entidadeSelecionada.nome}" />
					
					<p:outputLabel value="Endereço" for="endereco" />
					<p:inputText id="endereco" value="#{pesquisaCatequisaBean.entidadeSelecionada.endereco}" />
					
					<p:outputLabel value="Cidade" for="cidade" />
					<p:inputText id="cidade" value="#{pesquisaCatequisaBean.entidadeSelecionada.cidade}" />
					
					<p:outputLabel value="Telefone" for="telefone" />
					<p:inputMask mask="9999-9999" id="telefone" value="#{pesquisaCatequisaBean.entidadeSelecionada.telefone}" />
					
					<p:outputLabel value="Celular" for="celular" />
					<p:inputMask mask="99999-9999" id="celular" value="#{pesquisaCatequisaBean.entidadeSelecionada.celular}" />
					
					<p:outputLabel value="Data de Nascimento" for="dataNascimento" />
					<p:calendar id="dataNascimento" value="#{pesquisaCatequisaBean.entidadeSelecionada.dataNascimento}" mask="true" pattern="dd/MM/yyyy" converter="dateConverter"
						showHour="false" showMinute="false" showSecond="false" showMillisec="false" />
					
					<p:outputLabel value="E-mail" for="email" />
					<p:inputText id="email" value="#{pesquisaCatequisaBean.entidadeSelecionada.email}" />
	
					<p:outputLabel value="Sexo" for="sexo" />
					<p:selectOneRadio id="sexo" value="#{pesquisaCatequisaBean.entidadeSelecionada.sexo}" layout="grid" columns="2" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioSexo}" var="s" itemLabel="#{s.descSexo}" itemValue="#{s.codSexo}" />
			        </p:selectOneRadio>
			        
					<p:outputLabel value="Estado Civil" for="estado" />
					<p:selectOneRadio id="estado" value="#{pesquisaCatequisaBean.entidadeSelecionada.estadoCivil}"  >
			            <f:selectItems value="#{cadastroCatequistaBean.radioEstadoCivil}" var="s" itemLabel="#{s.descEstadoCivil}" itemValue="#{s.codEstadoCivil}" />
			        </p:selectOneRadio>
			        
			        <p:outputLabel value="Nome Cônjugue" for="conjugue" />
					<p:inputText id="conjugue" value="#{pesquisaCatequisaBean.entidadeSelecionada.descConjugue}" />
			        
					<p:outputLabel value="Status" for="status" />
					<p:selectOneRadio id="status" value="#{pesquisaCatequisaBean.entidadeSelecionada.status}" immediate="true" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioStatus}" var="s" itemLabel="#{s.descStatus}" itemValue="#{s.codStatus}" />
			        </p:selectOneRadio>
			        
					<p:outputLabel value="Participou da escola arquidiocesana?" for="bolEac" />
					<p:selectOneRadio id="bolEac" value="#{pesquisaCatequisaBean.entidadeSelecionada.bolEac}" immediate="true" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
			        </p:selectOneRadio>
			        
			        <p:outputLabel value="Ano EAC" for="anoEac" />
					<p:selectOneMenu id="anoEac" value="#{pesquisaCatequisaBean.entidadeSelecionada.ano_eac}">
						<f:selectItem noSelectionOption="true" itemLabel="Selecione..."/>
						<f:selectItems value="#{cadastroCatequistaBean.comboAno}" />
					</p:selectOneMenu>
			        
			        <p:outputLabel value="Coordenador?" for="bolCoordenador" />
					<p:selectOneRadio id="bolCoordenador" value="#{pesquisaCatequisaBean.entidadeSelecionada.bolCoordenador}" immediate="true" >
			            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
			        </p:selectOneRadio>
			        
			        <p:outputLabel value="Observação" for="observacao" />
					<p:inputTextarea id="observacao" value="#{pesquisaCatequisaBean.entidadeSelecionada.descObservacao}" cols="85" autoResize="false" rows="5" />
		    		
		    	</h:panelGrid>
	    		
	    	</p:dialog>
	    	
	    </h:form>
	    
    </ui:define>
</ui:composition>